Page MenuHomeMiraheze

Redesign our dumps infrastructure
Closed, ResolvedPublic

Description

We should make a MediaWiki extension that allows users to do the dumps without any involvement of ops.

This extension should provide the ability to generate a xml dump using the jobqueue seeing as users will hit timeouts if it's generated through the ui.

There should be a special group that on request can generate image dumps (reason why a special group is for legal reasons).

These dumps should only last for like a day or 2 maybe more if we have enough space.

Event Timeline

Paladox created this task.Feb 28 2019, 17:58
Paladox triaged this task as Normal priority.Feb 28 2019, 17:58
John added a comment.Feb 28 2019, 18:40

What legal reasons?

Paladox added a comment.Feb 28 2019, 18:52

Copyright?

When exporting Uncyc dumps in the recent uncyc termination, Wikia/Fandom refused to make image dumps of fair use images, which they say would not be fair use in dump form. Presumably Wikia/Fandom know what they are doing on the subject, and their view is consistant with my understanding of copyright law. Anyway, as any Wiki here could have fair use images, this is something that needs approval from someone who knows what they are doing.

John assigned this task to Paladox.May 7 2019, 23:56
Reception123 closed this task as Resolved.Aug 8 2019, 14:59

Special:DataDump has been made available for all dumps.